cancel
Showing results for 
Search instead for 
Did you mean: 
Reply

Installing LEGO NXT-G 1.1 or 2.0 on mac OSX 10.6

Solved!
Go to solution
Highlighted

Installing LEGO NXT-G 1.1 or 2.0 on mac OSX 10.6

Hello LabView,  I recently did a fresh install of Mac OSX 10.6 Snow Leopard

Since then i'm unable to install the LEGO Mindstorms NXT-G 1.1 software (by LabView)

It appears that the same is true for the latest version of NXT-G 2.0 

In both cases, a dialog box state that installation was successfull yet the application folder only has an Engine folder and couple other files but no App ICON Smiley Sad

 

Any idea if a 10.6 patch is underway to install either NXT-G sofware on my mac?

0 Kudos
Message 1 of 50
(25,739 Views)

Re: Installing LEGO NXT-G 1.1 or 2.0 on mac OSX 10.6

Hello bazmati,

As you already pointed out, the NXT 2.90 module for LabVIEW is not supported on any non-Windows OS.  Unfortunately, there is no release of a new version with support for Mac OSX at this time.  I apologize for the inconvenience.  I would encourage you, however, to make a suggestion at our Product Suggestion Center, so that your voice is heard as future releases are considered.

Chris_G
Sr Test Engineer
Medtronic, Inc.
0 Kudos
Message 2 of 50
(25,709 Views)

Re: Installing LEGO NXT-G 1.1 or 2.0 on mac OSX 10.6

I too am having the same problem installing NXT 1.1 software on my Mac OS 10.6.

 

I do not understand how Lego can advertise Mindstorms as working on both Windows and Mac if there will be no Mac software for the current Mac OS. False advertising is a serious issue. IF NI isn't writing an update, is someone else?

0 Kudos
Message 3 of 50
(25,623 Views)

Re: Installing LEGO NXT-G 1.1 or 2.0 on mac OSX 10.6

Hello again, i'm refering to the LEGO Mindstorms software and i was wondering when it would become compatible with the new Mac OS 10.6

 

In the LabVIEW Toolkit pdf it is said

 

 

Note: You must use LabVIEW 7.1 to create MINDSTORMS blocks, because the MINDSTORMS software is based on LabVIEW 7.1

 

 

so my question is, does LabVIEW 7.1 work on Mac Snow Leopard ?

 

Thanks

 

 

 

 

 

 

 

0 Kudos
Message 4 of 50
(25,619 Views)

Re: Installing LEGO NXT-G 1.1 or 2.0 on mac OSX 10.6

There's some confusion here between NXT-G and the LabVIEW NXT Toolkit 2.0.

 

NXT-G (1.1 and 2.0) does work on Macintosh but will fail to install on Snow Leopard due to a change Apple made to the installer framework.  Details on how to work-around this will be forthcoming.

 

 

Joel Sumner
NI-Shanghai
Message 5 of 50
(25,613 Views)

Re: Installing LEGO NXT-G 1.1 or 2.0 on mac OSX 10.6

Thank you Joel for this message of hope
0 Kudos
Message 6 of 50
(25,604 Views)

Re: Installing LEGO NXT-G 1.1 or 2.0 on mac OSX 10.6

Joel,

 

Thank you for the good news and the explanation. I trust the "work around" will be coming soon (an ETA would be great). The fall Lego League has just begun, and many teams will be setting up the Mindstorms software so the kids can start programming their robots.

 

We definitely need this sooner rather than later. 

0 Kudos
Message 7 of 50
(25,574 Views)
Solution
Accepted by topic author bazmati
08-27-2015 04:09 PM

Re: Installing LEGO NXT-G 1.1 or 2.0 on Mac OSX 10.6

I want to clear up any confusion of what software and versions referred to in this thread.  There is no version 2.9 for both LEGO MINDSTORMS NXT and the LabVIEW Toolkit for MINDSTORMS NXT.  The versions and supported operating systems are summarized bellow (Mac OS = 10.4 and newer; Windows = XP, Vista):

  • LEGO MINDSTORMS NXT 1.0 (1.1) - Supported on Mac OS and Windows
  • LEGO MINDSTORMS NXT 2.0  - Supported on Mac OS and Windows 

  • LabVIEW Toolkit for MINDSTORMS NXT 1.0 and 1.0.1 patch
    • LabVIEW 7.1 - Supported on Mac OS and Windows
    • LabVIEW 8.0 - Supported on Mac OS and Windows
    • LabVIEW 8.2 - Supported on Mac OS and Windows
    • LabVIEW 8.5 - Supported on Mac OS only

  • LabVIEW Toolkit for MINDSTORMS NXT 2.0
    • LabVIEW 7.1.1 - Supported on Windows only
    • LabVIEW 8.5.1 - Supported on Windows only
    • LabVIEW 8.6.1 - Supported on Windows only

  • LabVIEW LEGO MINDSTORMS NXT Module 2009 (Releases in October) 
    • LabVIEW 2009 - Supported on Mac OS and Windows


NXT-G blocks can only be created with LabVIEW 7.1.   LabVIEW 7.1 may work on Mac OS 10.6, but since LabVIEW 7.1 was developed well before Snow Leopard NI cannot guarantee it will function correctly.  The LabVIEW NXT Module 2009 does not support support the creation of NXT-G blocks.  


To install LEGO MINDSTORMS NXT 1.1 on Mac OS 10.6 (Snow Leopard)
  1. Copy all files from the MINDSTORMS CD to a folder on your desktop.  
  2. Open that folder and look under "Parts".  
  3. Locate MindstormsUnivEdu.pkg or MindstormsUnivRet.pkg.  
  4. Right-click (control-click) and choose "Show Package Contents".  
  5. Navigate into the Contents » Resources directory and delete the "preflight" file.  
  6. Close this package and run the meta-package (LEGOMindstormsEngRet.mpkg) from the desktop to install MINDSTORMS NXT. 

To install LEGO MINDSTORMS NXT 2.0 on Mac OS 10.6 (Snow Leopard)
  1. Copy all files from the MINDSTORMS CD to a folder on your desktop.  
  2. Open that folder and look under "Parts".  
  3. Locate MindstormsUnivEdu.pkg or MindstormsUnivRet.pkg.  
  4. Right-click (control-click) and choose "Show Package Contents".  
  5. Navigate into the Contents/Resources directory and delete the "preflight" file.  
  6. Close this package and run the meta-package from the desktop to install MINDSTORMS NXT



To install LabVIEW Toolkit for MINDSTORMS NXT 1.0 and 1.0.1 patch on Mac OS 10.6 (Snow Leopard)
  1. Follow normal installation procedure 



To install LabVIEW LEGO MINDSTORMS NXT Module 2009 on Mac OS 10.6 (Snow Leopard)
  1. Follow normal installation procedure 



Please let us know if these address all of your questions.  
 
 
Cheers,
Mark
LabVIEW R&D 
Message Edited by BLAQmx on 09-14-2009 11:17 AM
Mark
LabVIEW R&D
Message 8 of 50
(25,569 Views)

Re: Installing LEGO NXT-G 1.1 or 2.0 on Mac OSX 10.6

Correction! 

 

LabVIEW Toolkit for MINDSTORMS NXT 1.0 and 1.0.1 patch

  • LabVIEW 8.5 - Supported on Mac OS and Windows 
Mark
LabVIEW R&D
0 Kudos
Message 9 of 50
(25,548 Views)

Re: Installing LEGO NXT-G 1.1 or 2.0 on Mac OSX 10.6


BLAQmx wrote:

To install LEGO MINDSTORMS NXT 1.1 on Mac OS 10.6 (Snow Leopard)
  1. Copy all files from the MINDSTORMS CD to a folder on your desktop.  
  2. Open that folder and look under "Parts".  
  3. Locate MindstormsUnivEdu.pkg or MindstormsUnivRet.pkg.  
  4. Right-click (control-click) and choose "Show Package Contents".  
  5. Navigate into the Contents » Resources directory and delete the "preflight" file.  
  6. Close this package and run the meta-package (LEGOMindstormsEngRet.mpkg) from the desktop to install MINDSTORMS NXT. 

To install LEGO MINDSTORMS NXT 2.0 on Mac OS 10.6 (Snow Leopard)
  1. Copy all files from the MINDSTORMS CD to a folder on your desktop.  
  2. Open that folder and look under "Parts".  
  3. Locate MindstormsUnivEdu.pkg or MindstormsUnivRet.pkg.  
  4. Right-click (control-click) and choose "Show Package Contents".  
  5. Navigate into the Contents/Resources directory and delete the "preflight" file.  
  6. Close this package and run the meta-package from the desktop to install MINDSTORMS NXT

Please let us know if these address all of your questions.  
 
 
Cheers,
Mark
LabVIEW R&D 
Message Edited by BLAQmx on 09-14-2009 11:17 AM

 

 

 

Thanks Mark... i was not expecting a solution that easy and so soon -- i hereby confirm that i was able to install and use NXT-G 1.1 For LEGO Mindstorms on a fresh install of MAC OS X 10.6 aka Snow Leopard using the above procedure.

 

THANKS  i will now go update my blog with the good news 

0 Kudos
Message 10 of 50
(25,539 Views)